Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Sat, 06 Aug 2022 23:29:07 +0000

>> Especially given that the said correctness has always been relative.  
>> So it's not like we're leaving the heaven of 100% correctness and 
>> falling into the hell of 10% correctness.  A more reasonable view of 
>> the situation is that we had 90% correctness and now have,
>
> As someone who worked on different major mode and syntax-ppss itself a 
> little, that feels moderately insulting.
>
> No: we strive to close to 100% correctness in supporting language syntax 
> and can often reach it with moderate effort (programming-wise).
>

It isn't meant to be insulting, and I think you understood that.  My 
experience is simply that highlighting in Emacs is definitely not "close 
to 100% correct", whatever be the mode.  The most correct one is perhaps 
emacs-lisp-mode (unsurprisingy).

>> in files with "loo long lines" and only in those files, 60% 
>> correctness.
>
> Does the attached screenshot look like 60% correctness to you?
>

A small sample of a big file is definitely not representative, and I think 
you understood that.

>
> To me, it's more like -60%. Or at least, that's what the utility of such 
> highlighting will be (negative).
>

In which case you should turn highlighting off in such files.  That's what 
all other editors do anyway.